### Method

# Rest XmlNode add_child

#### Declaration [src]

    RestXmlNode*
    rest_xml_node_add_child (
      RestXmlNode* parent,
      const char* tag
    )

#### Description [src]

Adds a new node to the given parent node; to create the top-level node, parent should be `NULL`.

#### Parameters

`tag`

  Type: `const char*`

  Name of the child node.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RestXmlNode`

The newly added `RestXmlNode`; the node object is owned by, and valid for the life time of, the `RestXmlCreator`.

The returned data is owned by the instance.